For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog inStart for free
  • Getting started
    • Overview
    • How it works
    • Quickstart
    • Project structure
    • Customer showcase
    • Changelog
  • Configuration
    • Overview
    • Site-level settings
    • Page-level settings
  • Writing content
    • Markdown basics
    • Rich media in Markdown
    • Fern Editor
    • Reusable snippets
  • AI features
    • Overview
    • Fern Writer
    • AI-generated examples
    • Markdown access
      • Overview
      • Customize LLM output
      • Agent directives
      • Analytics and integration
    • MCP server
    • API catalog discovery
      • Overview
        • Overview
          • POSTCreate Guidance
          • GETGet Guidance By Id
          • DELDelete Guidance By Id
          • PATCHUpdate
          • GETGet Guidances
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
Book a demoLog inStart for free
AI featuresAsk FernAPI referenceGuidance

Create Guidance

||View as Markdown|
POST
/guidance/:domain/create
POST
/guidance/:domain/create
$curl -X POST https://fai.buildwithfern.com/guidance/domain/create \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "context": [
> "Employee handbook policies",
> "Remote work guidelines",
> "Health and safety regulations"
> ],
> "document": "This guidance document outlines the company'\''s policies on remote work, including eligibility, communication expectations, and cybersecurity best practices to ensure a secure and productive work environment."
>}'
1{
2 "guidance_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
3}
Was this page helpful?
Previous

Delete All Documents

Next

Get Guidance By Id

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

domainstringRequired

Request

This endpoint expects an object.
contextlist of stringsRequired
The context of the guidance document, as a list of strings, that will be indexed. Each string will be vectorized separately to generate a separate record.
documentstringRequired
The content of the guidance document that will be returned to Ask Fern during Ask Fern retrieval.

Response

Successful Response
guidance_idstring
The unique identifier of the created guidance document

Errors

422
Unprocessable Entity Error